Bug 13065 - net groupmap cleanup deletes mappings for BUILTIN domain
net groupmap cleanup deletes mappings for BUILTIN domain
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-30 06:46 UTC by Ralph Böhme
Modified: 2017-11-01 08:53 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.6 and 4.7 cherry-picked from master (1.26 KB, patch)
2017-10-04 07:40 UTC, Ralph Böhme
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-09-30 06:46:29 UTC
Not 100% sure this is a bug, but afaict mappings for the BUILTIN domain are perfectly fine and should not be deleted by `net groupmap cleanup`.

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2017-10-04 07:40:34 UTC
Created attachment 13648 [details]
Patch for 4.6 and 4.7 cherry-picked from master
Comment 2 Karolin Seeger 2017-10-24 10:49:50 UTC
(In reply to Ralph Böhme from comment #1)
Pushed to autobuild-v4-{7,6}-test.
Comment 3 Karolin Seeger 2017-11-01 08:53:06 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to both branches.
Closing out bug report.

Thanks!